package com.hzya.frame.mdm.mdmTableCodeRule.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 模版数据表编码规则表(MdmTableCodeRule)实体类
 *
 * @author makejava
 * @since 2023-11-06 16:12:35
 */
public class MdmTableCodeRuleEntity extends BaseEntity {
 
  /**  主数据模版ID */
   private String mdmId;
  /**  db_id */
   private String dbId;
  /**  规则 */
   private String dbName;
  /**  类型 1、连接符号 2、字符串 3、日期 4、流水号 */
   private String dbType;
  /**  备注 */
   private String remark;
  /**  规则值 */
   private String dbValue;


    public String getMdmId() {
        return mdmId;
    }

    public void setMdmId(String mdmId) {
        this.mdmId = mdmId;
    }

    public String getDbId() {
        return dbId;
    }

    public void setDbId(String dbId) {
        this.dbId = dbId;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    public String getDbType() {
        return dbType;
    }

    public void setDbType(String dbType) {
        this.dbType = dbType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getDbValue() {
        return dbValue;
    }

    public void setDbValue(String dbValue) {
        this.dbValue = dbValue;
    }

}

